Download it now!
Bug 125089 - Add menu Separator to View -> User Interface menu between legacy toolbars and MUFFIN notebookbars
Summary: Add menu Separator to View -> User Interface menu between legacy toolbars and...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Roman Kuznetsov
URL:
Whiteboard: target:6.5.0
Keywords:
Depends on:
Blocks: Main-Menu
  Show dependency treegraph
 
Reported: 2019-05-02 20:26 UTC by andreas_k
Modified: 2020-01-15 06:35 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
User Interface Separator Between Toolbars and Notebookbars (15.16 KB, image/png)
2019-05-02 20:26 UTC, andreas_k
Details
the ODF MIME cubes as a grapic menu separator (4.04 KB, image/png)
2019-05-17 04:44 UTC, V Stuart Foote
Details
here is a riff on our MUFFIN as a graphic separator (798.64 KB, image/svg+xml)
2019-05-17 05:16 UTC, V Stuart Foote
Details
compare EN vs. RU UI (with and without separator) (87.92 KB, image/png)
2020-01-13 12:54 UTC, Roman Kuznetsov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2019-05-02 20:26:35 UTC
Created attachment 151141 [details]
User Interface Separator Between Toolbars and Notebookbars

As shown attached an separator between toolbars and notebookbars would be nice.
Comment 1 V Stuart Foote 2019-05-17 04:44:19 UTC
Created attachment 151474 [details]
the ODF MIME cubes as a grapic menu separator

So this could be os/DE gtk3 separator widget. Or could be text, or even a graphic? 

I'm thinking a line of Muffins, or maybe the ODF  MIME cubes--SVG of course so they'll scale.
Comment 2 V Stuart Foote 2019-05-17 04:52:02 UTC
This came up in discussion of bug 125009

Since it looks like we are not going to rename the Notebookbar menu entries (good), the visual separator on the menu would help distinguish MUFFIN from standard toolbars and give some clarity for entering the new UX.
Comment 3 V Stuart Foote 2019-05-17 05:16:29 UTC
Created attachment 151475 [details]
here is a riff on our MUFFIN as a graphic separator
Comment 4 V Stuart Foote 2019-05-17 05:25:59 UTC
(In reply to V Stuart Foote from comment #3)
> Created attachment 151475 [details]
> here is a riff on our MUFFIN as a graphic separator

Sorry, that was supposed to end up a 30x187px SVG but embeds the run of PNGs, the actual SVG for the muffin is around somewhere.  But folks should get the idea of an image menu separator as an alternative to just the plain the os/DE gtk3 widget.

And, really a plain old menu separator would be equally fine.
Comment 5 Roman Kuznetsov 2020-01-13 12:54:27 UTC
Created attachment 157120 [details]
compare EN vs. RU UI (with and without separator)

srtange... when I see to EN UI , then I see a separator, but if I change UI to RU, then I don't see a separator >_<
Comment 6 andreas_k 2020-01-13 13:02:39 UTC
I also see the separator in english, but in german there is no separator.
Comment 7 Mike Kaganski 2020-01-15 05:34:57 UTC
FTR: the separator was implemented from the very beginning in the submenu in commit https://git.libreoffice.org/core/+/5c573a2f7473bae7bb965ca36557cd1b0bf7b9c9 from Feb 2018; then it was dependent on "experimental" status. It got broken later, when the experimental status was removed from the modes. Then in commit https://git.libreoffice.org/core/+/e2cd0d9ba59bbfaf37523e90f88454f65adeb5fb in Jun 2019 it got partially fixed, this time depending on element display names - which was of course wrong - both for English (where any change of mode user-visible name would break this), and for localized names which would never match the detection.

So this issue is not about adding something missing, but about fixing something broken ;-)

https://gerrit.libreoffice.org/c/core/+/86619 is Roman's take on this.
Comment 8 Commit Notification 2020-01-15 06:29:03 UTC
Roman Kuznetsov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/aaad28f8873e8ffa92f4e1340707f45b2737f20e

tdf#125089 Fix shoowing a separator in View-User interfaces submenus

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.